# Myip

a tool that can get your public ip


```shell
myip is a easy way to get public ip of current system.

Usage:
  myip [flags]
  myip [command]

Available Commands:
  completion  generate the autocompletion script for the specified shell
  help        Help about any command
  serve       Simple server that returns the resolved IP.
  version     version

Flags:
  -a, --all           show local ip
  -c, --cell          show cell, must used with --list
  -h, --help          help for myip
  -u, --host string   hostname to connect (default "kumoly.io")
  -l, --list          show list
      --no-pub        disable PublicIP
  -p, --port string   server port to connect (default "5080")
      --secure        use https
  -t, --title         show title, used with --list
  -v, --version       version for myip

Use "myip [command] --help" for more information about a command.
```

## Docker

Server:

```shell
docker pull hub.kumoly.io/tools/myip:latest
docker run --name myip-server -d -p 5080:5080 --restart=always hub.kumoly.io/tools/myip
```
